package model

import model2 "gas-cylinder-api/common/model"

type Device struct {
	model2.Model
	ProvUserId  string      `json:"provUserId" gorm:"size:32;"`  // 省平台用户id
	ProvCmpCode string      `json:"provCmpCode" gorm:"size:48;"` // 所属机构登记编
	Sn          string      `json:"sn" gorm:"size:128;"`         // 设备sn
	Type        int         `json:"type" gorm:"size:32;"`        // 1-手持枪 2-龙门
	OptType     string      `json:"optType" gorm:"size:32;"`     // 操作类型
	User        SysUserOmit `json:"user"  gorm:"->;foreignkey:ProvUserId;references:ProvUserId"`
	model2.ControlBy
	model2.ModelTime
	model2.DeptBy
}

func (Device) TableName() string {
	return "device"
}

func (e *Device) Generate() model2.ActiveRecord {
	o := *e
	return &o
}

func (e *Device) GetId() interface{} {
	return e.Id
}
