package model

import model2 "gas-cylinder-api/common/model"

// 商品管理
type Goods struct {
	model2.Model
	Name          string      `json:"name" gorm:"size:128"`          // 商品名称
	Price         float64     `json:"price" gorm:"size:9;"`          // 经度
	MediaType     string      `json:"mediaType" gorm:"size:128"`     // 介质类型
	IsShow        bool        `json:"isShow" gorm:"size:1"`          // 是否显示
	ShowStartTime model2.Time `json:"showStartTime" gorm:"size:128"` // 展示开始时间
	ShowEndTime   model2.Time `json:"showEndTime" gorm:"size:128"`   // 展示结束时间
	Remark        string      `json:"remark" gorm:"size:255;"`       // 备注
	Img           string      `json:"img" gorm:"size:255;"`          // 商品图片
	model2.ControlBy
	model2.ModelTime
	model2.DeptBy
}

func (Goods) TableName() string {
	return "goods"
}
