package handler

import (
	"fmt"
	"gas-cylinder-api/common/model"
	coreModel "gogs.baozhida.cn/zoie/OAuth-core/model"
)

type SysUser struct {
	model.Model
	coreModel.User
	model.ControlBy
	model.ModelTime
}

func (SysUser) TableName() string {
	return "sys_user"
}

func GetVerifyCodeCacheKey(phone string) string {
	return fmt.Sprintf("verify-code-%s", phone)
}
