package model

import model2 "gas-cylinder-api/common/model"

// 充装枪
type FillGun struct {
	model2.Model
	GunCode     string `json:"gunCode" gorm:"size:32;"`      // 充装枪编码
	ScanGunCode string `json:"scanGunCode" gorm:"size:512;"` // 扫描枪编码
	PersonCode  string `json:"personCode" gorm:"size:36;"`   // 充装人员编码
	Remark      string `json:"remark" gorm:"size:128"`       // 备注
	model2.ControlBy
	model2.ModelTime
	model2.DeptBy
	Dept SysDept
}

func (FillGun) TableName() string {
	return "fill_gun"
}

func (e *FillGun) Generate() model2.ActiveRecord {
	o := *e
	return &o
}

func (e *FillGun) GetId() interface{} {
	return e.Id
}
